Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface NamingServiceMBean

All Superinterfaces:
  org.jnp.server.MainMBean, Service, ServiceMBean

All Known Implementing Classes:
  NamingService

public interface NamingServiceMBean
extends ServiceMBean, org.jnp.server.MainMBean

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Methods inherited from interface org.jnp.server.MainMBean
`getBacklog, getBindAddress, getClientSocketFactory, getPort, getRmiPort, getServerSocketFactory, setBacklog, setBindAddress, setClientSocketFactory, setJNPServerSocketFactory, setPort, setRmiPort, setServerSocketFactory, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.